import request from '@/utils/request'

export function getPoseApi(params) {
    return request({
        url: '/api/arm/getPose', 
        method: 'get',
        params: params
    })
}

export function getJointStateApi(params) {
    return request({
        url: '/api/arm/getJointState', 
        method: 'get',
        params: params
    })
}

export function speedLApi(data) {
    return request({
        url: '/api/arm/speedL', 
        method: 'post',
        data: data
    })
}

export function moveJApi(data) {
    return request({
        url: '/api/arm/moveJ', 
        method: 'post',
        data: data
    })
}

export function stopMotionApi(params) {
    return request({
        url: '/api/arm/stopMotion', 
        method: 'get',
        params: params
    })
}

export function torqueOnApi(params) {
    return request({
        url: '/api/arm/torqueOn',
        method: 'get',
        params: params
    })
}

export function speedJApi(data) {
    return request({
        url: '/api/arm/speedJ',
        method: 'post',
        data: data
    })
}

export function clearFault(params) {
    return request({
        url: '/api/arm/clearFault',
        method: 'get',
        params: params
    })
}

export function getMicVolume(params) {
    return request({
        url: '/api/Microphone/volume',
        method: 'get',
        params: params
    })
}

export function setMicVolume(data) {
    return request({
        url: '/api/Microphone/volume',
        method: 'post',
        data: data
    })
}

export function getSpeakerVolume(params) {
    return request({
        url: '/api/Speaker/volume',
        method: 'get',
        params: params
    })
}

export function setSpeakerVolume(data) {
    return request({
        url: '/api/Speaker/volume',
        method: 'post',
        data: data
    })
}